PTLib Version 2.12.9

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Classes
smartptr.h File Reference
`#include <ptlib.h>`
`#include <ptlib/object.h>`
Include dependency graph for smartptr.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
class | PSmartObject
| This is the base class for objects that use the smart pointer system. More...
class | PSmartPointer
| This is the class for pointers to objects that use the smart pointer system. More...
class | PSmartPtr< T >
| This template class creates a type safe version of PSmartPointer. More...